Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
Network address
224.0.0.0
Broadcast address
255.255.255.255
First usable
224.0.0.1
Last usable
255.255.255.254
Usable hosts
536,870,910 (536,870,912 less the network and broadcast addresses)
Subnet mask
224.0.0.0
Wildcard mask
31.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/3
Type
Public public
Old class
D (multicast)
As numbers
Hex E0000000 · Integer 3758096384 to 4294967295
Reverse DNS zones
224.in-addr.arpa
225.in-addr.arpa
226.in-addr.arpa
227.in-addr.arpa
228.in-addr.arpa
229.in-addr.arpa
230.in-addr.arpa
231.in-addr.arpa
232.in-addr.arpa
233.in-addr.arpa
234.in-addr.arpa
235.in-addr.arpa
236.in-addr.arpa
237.in-addr.arpa
238.in-addr.arpa
239.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.00000000.00000000.00000000224.0.0.0
Subnet mask11100000.00000000.00000000.00000000224.0.0.0
Network11100000.00000000.00000000.00000000224.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/12

224.0.0.0/3 makes 512 subnets of /12; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.0.0.0/12224.0.0.1 to 224.15.255.254224.15.255.2551,048,574
2224.16.0.0/12224.16.0.1 to 224.31.255.254224.31.255.2551,048,574
3224.32.0.0/12224.32.0.1 to 224.47.255.254224.47.255.2551,048,574
4224.48.0.0/12224.48.0.1 to 224.63.255.254224.63.255.2551,048,574
5224.64.0.0/12224.64.0.1 to 224.79.255.254224.79.255.2551,048,574
6224.80.0.0/12224.80.0.1 to 224.95.255.254224.95.255.2551,048,574
7224.96.0.0/12224.96.0.1 to 224.111.255.254224.111.255.2551,048,574
8224.112.0.0/12224.112.0.1 to 224.127.255.254224.127.255.2551,048,574
9224.128.0.0/12224.128.0.1 to 224.143.255.254224.143.255.2551,048,574
10224.144.0.0/12224.144.0.1 to 224.159.255.254224.159.255.2551,048,574
11224.160.0.0/12224.160.0.1 to 224.175.255.254224.175.255.2551,048,574
12224.176.0.0/12224.176.0.1 to 224.191.255.254224.191.255.2551,048,574
13224.192.0.0/12224.192.0.1 to 224.207.255.254224.207.255.2551,048,574
14224.208.0.0/12224.208.0.1 to 224.223.255.254224.223.255.2551,048,574
15224.224.0.0/12224.224.0.1 to 224.239.255.254224.239.255.2551,048,574
16224.240.0.0/12224.240.0.1 to 224.255.255.254224.255.255.2551,048,574
17225.0.0.0/12225.0.0.1 to 225.15.255.254225.15.255.2551,048,574
18225.16.0.0/12225.16.0.1 to 225.31.255.254225.31.255.2551,048,574
19225.32.0.0/12225.32.0.1 to 225.47.255.254225.47.255.2551,048,574
20225.48.0.0/12225.48.0.1 to 225.63.255.254225.63.255.2551,048,574
21225.64.0.0/12225.64.0.1 to 225.79.255.254225.79.255.2551,048,574
22225.80.0.0/12225.80.0.1 to 225.95.255.254225.95.255.2551,048,574
23225.96.0.0/12225.96.0.1 to 225.111.255.254225.111.255.2551,048,574
24225.112.0.0/12225.112.0.1 to 225.127.255.254225.127.255.2551,048,574
25225.128.0.0/12225.128.0.1 to 225.143.255.254225.143.255.2551,048,574
26225.144.0.0/12225.144.0.1 to 225.159.255.254225.159.255.2551,048,574
27225.160.0.0/12225.160.0.1 to 225.175.255.254225.175.255.2551,048,574
28225.176.0.0/12225.176.0.1 to 225.191.255.254225.191.255.2551,048,574
29225.192.0.0/12225.192.0.1 to 225.207.255.254225.207.255.2551,048,574
30225.208.0.0/12225.208.0.1 to 225.223.255.254225.223.255.2551,048,574
31225.224.0.0/12225.224.0.1 to 225.239.255.254225.239.255.2551,048,574
32225.240.0.0/12225.240.0.1 to 225.255.255.254225.255.255.2551,048,574
33226.0.0.0/12226.0.0.1 to 226.15.255.254226.15.255.2551,048,574
34226.16.0.0/12226.16.0.1 to 226.31.255.254226.31.255.2551,048,574
35226.32.0.0/12226.32.0.1 to 226.47.255.254226.47.255.2551,048,574
36226.48.0.0/12226.48.0.1 to 226.63.255.254226.63.255.2551,048,574
37226.64.0.0/12226.64.0.1 to 226.79.255.254226.79.255.2551,048,574
38226.80.0.0/12226.80.0.1 to 226.95.255.254226.95.255.2551,048,574
39226.96.0.0/12226.96.0.1 to 226.111.255.254226.111.255.2551,048,574
40226.112.0.0/12226.112.0.1 to 226.127.255.254226.127.255.2551,048,574
41226.128.0.0/12226.128.0.1 to 226.143.255.254226.143.255.2551,048,574
42226.144.0.0/12226.144.0.1 to 226.159.255.254226.159.255.2551,048,574
43226.160.0.0/12226.160.0.1 to 226.175.255.254226.175.255.2551,048,574
44226.176.0.0/12226.176.0.1 to 226.191.255.254226.191.255.2551,048,574
45226.192.0.0/12226.192.0.1 to 226.207.255.254226.207.255.2551,048,574
46226.208.0.0/12226.208.0.1 to 226.223.255.254226.223.255.2551,048,574
47226.224.0.0/12226.224.0.1 to 226.239.255.254226.239.255.2551,048,574
48226.240.0.0/12226.240.0.1 to 226.255.255.254226.255.255.2551,048,574
49227.0.0.0/12227.0.0.1 to 227.15.255.254227.15.255.2551,048,574
50227.16.0.0/12227.16.0.1 to 227.31.255.254227.31.255.2551,048,574
51227.32.0.0/12227.32.0.1 to 227.47.255.254227.47.255.2551,048,574
52227.48.0.0/12227.48.0.1 to 227.63.255.254227.63.255.2551,048,574
53227.64.0.0/12227.64.0.1 to 227.79.255.254227.79.255.2551,048,574
54227.80.0.0/12227.80.0.1 to 227.95.255.254227.95.255.2551,048,574
55227.96.0.0/12227.96.0.1 to 227.111.255.254227.111.255.2551,048,574
56227.112.0.0/12227.112.0.1 to 227.127.255.254227.127.255.2551,048,574
57227.128.0.0/12227.128.0.1 to 227.143.255.254227.143.255.2551,048,574
58227.144.0.0/12227.144.0.1 to 227.159.255.254227.159.255.2551,048,574
59227.160.0.0/12227.160.0.1 to 227.175.255.254227.175.255.2551,048,574
60227.176.0.0/12227.176.0.1 to 227.191.255.254227.191.255.2551,048,574
61227.192.0.0/12227.192.0.1 to 227.207.255.254227.207.255.2551,048,574
62227.208.0.0/12227.208.0.1 to 227.223.255.254227.223.255.2551,048,574
63227.224.0.0/12227.224.0.1 to 227.239.255.254227.239.255.2551,048,574
64227.240.0.0/12227.240.0.1 to 227.255.255.254227.255.255.2551,048,574
65228.0.0.0/12228.0.0.1 to 228.15.255.254228.15.255.2551,048,574
66228.16.0.0/12228.16.0.1 to 228.31.255.254228.31.255.2551,048,574
67228.32.0.0/12228.32.0.1 to 228.47.255.254228.47.255.2551,048,574
68228.48.0.0/12228.48.0.1 to 228.63.255.254228.63.255.2551,048,574
69228.64.0.0/12228.64.0.1 to 228.79.255.254228.79.255.2551,048,574
70228.80.0.0/12228.80.0.1 to 228.95.255.254228.95.255.2551,048,574
71228.96.0.0/12228.96.0.1 to 228.111.255.254228.111.255.2551,048,574
72228.112.0.0/12228.112.0.1 to 228.127.255.254228.127.255.2551,048,574
73228.128.0.0/12228.128.0.1 to 228.143.255.254228.143.255.2551,048,574
74228.144.0.0/12228.144.0.1 to 228.159.255.254228.159.255.2551,048,574
75228.160.0.0/12228.160.0.1 to 228.175.255.254228.175.255.2551,048,574
76228.176.0.0/12228.176.0.1 to 228.191.255.254228.191.255.2551,048,574
77228.192.0.0/12228.192.0.1 to 228.207.255.254228.207.255.2551,048,574
78228.208.0.0/12228.208.0.1 to 228.223.255.254228.223.255.2551,048,574
79228.224.0.0/12228.224.0.1 to 228.239.255.254228.239.255.2551,048,574
80228.240.0.0/12228.240.0.1 to 228.255.255.254228.255.255.2551,048,574
81229.0.0.0/12229.0.0.1 to 229.15.255.254229.15.255.2551,048,574
82229.16.0.0/12229.16.0.1 to 229.31.255.254229.31.255.2551,048,574
83229.32.0.0/12229.32.0.1 to 229.47.255.254229.47.255.2551,048,574
84229.48.0.0/12229.48.0.1 to 229.63.255.254229.63.255.2551,048,574
85229.64.0.0/12229.64.0.1 to 229.79.255.254229.79.255.2551,048,574
86229.80.0.0/12229.80.0.1 to 229.95.255.254229.95.255.2551,048,574
87229.96.0.0/12229.96.0.1 to 229.111.255.254229.111.255.2551,048,574
88229.112.0.0/12229.112.0.1 to 229.127.255.254229.127.255.2551,048,574
89229.128.0.0/12229.128.0.1 to 229.143.255.254229.143.255.2551,048,574
90229.144.0.0/12229.144.0.1 to 229.159.255.254229.159.255.2551,048,574
91229.160.0.0/12229.160.0.1 to 229.175.255.254229.175.255.2551,048,574
92229.176.0.0/12229.176.0.1 to 229.191.255.254229.191.255.2551,048,574
93229.192.0.0/12229.192.0.1 to 229.207.255.254229.207.255.2551,048,574
94229.208.0.0/12229.208.0.1 to 229.223.255.254229.223.255.2551,048,574
95229.224.0.0/12229.224.0.1 to 229.239.255.254229.239.255.2551,048,574
96229.240.0.0/12229.240.0.1 to 229.255.255.254229.255.255.2551,048,574
97230.0.0.0/12230.0.0.1 to 230.15.255.254230.15.255.2551,048,574
98230.16.0.0/12230.16.0.1 to 230.31.255.254230.31.255.2551,048,574
99230.32.0.0/12230.32.0.1 to 230.47.255.254230.47.255.2551,048,574
100230.48.0.0/12230.48.0.1 to 230.63.255.254230.63.255.2551,048,574
101230.64.0.0/12230.64.0.1 to 230.79.255.254230.79.255.2551,048,574
102230.80.0.0/12230.80.0.1 to 230.95.255.254230.95.255.2551,048,574
103230.96.0.0/12230.96.0.1 to 230.111.255.254230.111.255.2551,048,574
104230.112.0.0/12230.112.0.1 to 230.127.255.254230.127.255.2551,048,574
105230.128.0.0/12230.128.0.1 to 230.143.255.254230.143.255.2551,048,574
106230.144.0.0/12230.144.0.1 to 230.159.255.254230.159.255.2551,048,574
107230.160.0.0/12230.160.0.1 to 230.175.255.254230.175.255.2551,048,574
108230.176.0.0/12230.176.0.1 to 230.191.255.254230.191.255.2551,048,574
109230.192.0.0/12230.192.0.1 to 230.207.255.254230.207.255.2551,048,574
110230.208.0.0/12230.208.0.1 to 230.223.255.254230.223.255.2551,048,574
111230.224.0.0/12230.224.0.1 to 230.239.255.254230.239.255.2551,048,574
112230.240.0.0/12230.240.0.1 to 230.255.255.254230.255.255.2551,048,574
113231.0.0.0/12231.0.0.1 to 231.15.255.254231.15.255.2551,048,574
114231.16.0.0/12231.16.0.1 to 231.31.255.254231.31.255.2551,048,574
115231.32.0.0/12231.32.0.1 to 231.47.255.254231.47.255.2551,048,574
116231.48.0.0/12231.48.0.1 to 231.63.255.254231.63.255.2551,048,574
117231.64.0.0/12231.64.0.1 to 231.79.255.254231.79.255.2551,048,574
118231.80.0.0/12231.80.0.1 to 231.95.255.254231.95.255.2551,048,574
119231.96.0.0/12231.96.0.1 to 231.111.255.254231.111.255.2551,048,574
120231.112.0.0/12231.112.0.1 to 231.127.255.254231.127.255.2551,048,574
121231.128.0.0/12231.128.0.1 to 231.143.255.254231.143.255.2551,048,574
122231.144.0.0/12231.144.0.1 to 231.159.255.254231.159.255.2551,048,574
123231.160.0.0/12231.160.0.1 to 231.175.255.254231.175.255.2551,048,574
124231.176.0.0/12231.176.0.1 to 231.191.255.254231.191.255.2551,048,574
125231.192.0.0/12231.192.0.1 to 231.207.255.254231.207.255.2551,048,574
126231.208.0.0/12231.208.0.1 to 231.223.255.254231.223.255.2551,048,574
127231.224.0.0/12231.224.0.1 to 231.239.255.254231.239.255.2551,048,574
128231.240.0.0/12231.240.0.1 to 231.255.255.254231.255.255.2551,048,574
129232.0.0.0/12232.0.0.1 to 232.15.255.254232.15.255.2551,048,574
130232.16.0.0/12232.16.0.1 to 232.31.255.254232.31.255.2551,048,574
131232.32.0.0/12232.32.0.1 to 232.47.255.254232.47.255.2551,048,574
132232.48.0.0/12232.48.0.1 to 232.63.255.254232.63.255.2551,048,574
133232.64.0.0/12232.64.0.1 to 232.79.255.254232.79.255.2551,048,574
134232.80.0.0/12232.80.0.1 to 232.95.255.254232.95.255.2551,048,574
135232.96.0.0/12232.96.0.1 to 232.111.255.254232.111.255.2551,048,574
136232.112.0.0/12232.112.0.1 to 232.127.255.254232.127.255.2551,048,574
137232.128.0.0/12232.128.0.1 to 232.143.255.254232.143.255.2551,048,574
138232.144.0.0/12232.144.0.1 to 232.159.255.254232.159.255.2551,048,574
139232.160.0.0/12232.160.0.1 to 232.175.255.254232.175.255.2551,048,574
140232.176.0.0/12232.176.0.1 to 232.191.255.254232.191.255.2551,048,574
141232.192.0.0/12232.192.0.1 to 232.207.255.254232.207.255.2551,048,574
142232.208.0.0/12232.208.0.1 to 232.223.255.254232.223.255.2551,048,574
143232.224.0.0/12232.224.0.1 to 232.239.255.254232.239.255.2551,048,574
144232.240.0.0/12232.240.0.1 to 232.255.255.254232.255.255.2551,048,574
145233.0.0.0/12233.0.0.1 to 233.15.255.254233.15.255.2551,048,574
146233.16.0.0/12233.16.0.1 to 233.31.255.254233.31.255.2551,048,574
147233.32.0.0/12233.32.0.1 to 233.47.255.254233.47.255.2551,048,574
148233.48.0.0/12233.48.0.1 to 233.63.255.254233.63.255.2551,048,574
149233.64.0.0/12233.64.0.1 to 233.79.255.254233.79.255.2551,048,574
150233.80.0.0/12233.80.0.1 to 233.95.255.254233.95.255.2551,048,574
151233.96.0.0/12233.96.0.1 to 233.111.255.254233.111.255.2551,048,574
152233.112.0.0/12233.112.0.1 to 233.127.255.254233.127.255.2551,048,574
153233.128.0.0/12233.128.0.1 to 233.143.255.254233.143.255.2551,048,574
154233.144.0.0/12233.144.0.1 to 233.159.255.254233.159.255.2551,048,574
155233.160.0.0/12233.160.0.1 to 233.175.255.254233.175.255.2551,048,574
156233.176.0.0/12233.176.0.1 to 233.191.255.254233.191.255.2551,048,574
157233.192.0.0/12233.192.0.1 to 233.207.255.254233.207.255.2551,048,574
158233.208.0.0/12233.208.0.1 to 233.223.255.254233.223.255.2551,048,574
159233.224.0.0/12233.224.0.1 to 233.239.255.254233.239.255.2551,048,574
160233.240.0.0/12233.240.0.1 to 233.255.255.254233.255.255.2551,048,574
161234.0.0.0/12234.0.0.1 to 234.15.255.254234.15.255.2551,048,574
162234.16.0.0/12234.16.0.1 to 234.31.255.254234.31.255.2551,048,574
163234.32.0.0/12234.32.0.1 to 234.47.255.254234.47.255.2551,048,574
164234.48.0.0/12234.48.0.1 to 234.63.255.254234.63.255.2551,048,574
165234.64.0.0/12234.64.0.1 to 234.79.255.254234.79.255.2551,048,574
166234.80.0.0/12234.80.0.1 to 234.95.255.254234.95.255.2551,048,574
167234.96.0.0/12234.96.0.1 to 234.111.255.254234.111.255.2551,048,574
168234.112.0.0/12234.112.0.1 to 234.127.255.254234.127.255.2551,048,574
169234.128.0.0/12234.128.0.1 to 234.143.255.254234.143.255.2551,048,574
170234.144.0.0/12234.144.0.1 to 234.159.255.254234.159.255.2551,048,574
171234.160.0.0/12234.160.0.1 to 234.175.255.254234.175.255.2551,048,574
172234.176.0.0/12234.176.0.1 to 234.191.255.254234.191.255.2551,048,574
173234.192.0.0/12234.192.0.1 to 234.207.255.254234.207.255.2551,048,574
174234.208.0.0/12234.208.0.1 to 234.223.255.254234.223.255.2551,048,574
175234.224.0.0/12234.224.0.1 to 234.239.255.254234.239.255.2551,048,574
176234.240.0.0/12234.240.0.1 to 234.255.255.254234.255.255.2551,048,574
177235.0.0.0/12235.0.0.1 to 235.15.255.254235.15.255.2551,048,574
178235.16.0.0/12235.16.0.1 to 235.31.255.254235.31.255.2551,048,574
179235.32.0.0/12235.32.0.1 to 235.47.255.254235.47.255.2551,048,574
180235.48.0.0/12235.48.0.1 to 235.63.255.254235.63.255.2551,048,574
181235.64.0.0/12235.64.0.1 to 235.79.255.254235.79.255.2551,048,574
182235.80.0.0/12235.80.0.1 to 235.95.255.254235.95.255.2551,048,574
183235.96.0.0/12235.96.0.1 to 235.111.255.254235.111.255.2551,048,574
184235.112.0.0/12235.112.0.1 to 235.127.255.254235.127.255.2551,048,574
185235.128.0.0/12235.128.0.1 to 235.143.255.254235.143.255.2551,048,574
186235.144.0.0/12235.144.0.1 to 235.159.255.254235.159.255.2551,048,574
187235.160.0.0/12235.160.0.1 to 235.175.255.254235.175.255.2551,048,574
188235.176.0.0/12235.176.0.1 to 235.191.255.254235.191.255.2551,048,574
189235.192.0.0/12235.192.0.1 to 235.207.255.254235.207.255.2551,048,574
190235.208.0.0/12235.208.0.1 to 235.223.255.254235.223.255.2551,048,574
191235.224.0.0/12235.224.0.1 to 235.239.255.254235.239.255.2551,048,574
192235.240.0.0/12235.240.0.1 to 235.255.255.254235.255.255.2551,048,574
193236.0.0.0/12236.0.0.1 to 236.15.255.254236.15.255.2551,048,574
194236.16.0.0/12236.16.0.1 to 236.31.255.254236.31.255.2551,048,574
195236.32.0.0/12236.32.0.1 to 236.47.255.254236.47.255.2551,048,574
196236.48.0.0/12236.48.0.1 to 236.63.255.254236.63.255.2551,048,574
197236.64.0.0/12236.64.0.1 to 236.79.255.254236.79.255.2551,048,574
198236.80.0.0/12236.80.0.1 to 236.95.255.254236.95.255.2551,048,574
199236.96.0.0/12236.96.0.1 to 236.111.255.254236.111.255.2551,048,574
200236.112.0.0/12236.112.0.1 to 236.127.255.254236.127.255.2551,048,574
201236.128.0.0/12236.128.0.1 to 236.143.255.254236.143.255.2551,048,574
202236.144.0.0/12236.144.0.1 to 236.159.255.254236.159.255.2551,048,574
203236.160.0.0/12236.160.0.1 to 236.175.255.254236.175.255.2551,048,574
204236.176.0.0/12236.176.0.1 to 236.191.255.254236.191.255.2551,048,574
205236.192.0.0/12236.192.0.1 to 236.207.255.254236.207.255.2551,048,574
206236.208.0.0/12236.208.0.1 to 236.223.255.254236.223.255.2551,048,574
207236.224.0.0/12236.224.0.1 to 236.239.255.254236.239.255.2551,048,574
208236.240.0.0/12236.240.0.1 to 236.255.255.254236.255.255.2551,048,574
209237.0.0.0/12237.0.0.1 to 237.15.255.254237.15.255.2551,048,574
210237.16.0.0/12237.16.0.1 to 237.31.255.254237.31.255.2551,048,574
211237.32.0.0/12237.32.0.1 to 237.47.255.254237.47.255.2551,048,574
212237.48.0.0/12237.48.0.1 to 237.63.255.254237.63.255.2551,048,574
213237.64.0.0/12237.64.0.1 to 237.79.255.254237.79.255.2551,048,574
214237.80.0.0/12237.80.0.1 to 237.95.255.254237.95.255.2551,048,574
215237.96.0.0/12237.96.0.1 to 237.111.255.254237.111.255.2551,048,574
216237.112.0.0/12237.112.0.1 to 237.127.255.254237.127.255.2551,048,574
217237.128.0.0/12237.128.0.1 to 237.143.255.254237.143.255.2551,048,574
218237.144.0.0/12237.144.0.1 to 237.159.255.254237.159.255.2551,048,574
219237.160.0.0/12237.160.0.1 to 237.175.255.254237.175.255.2551,048,574
220237.176.0.0/12237.176.0.1 to 237.191.255.254237.191.255.2551,048,574
221237.192.0.0/12237.192.0.1 to 237.207.255.254237.207.255.2551,048,574
222237.208.0.0/12237.208.0.1 to 237.223.255.254237.223.255.2551,048,574
223237.224.0.0/12237.224.0.1 to 237.239.255.254237.239.255.2551,048,574
224237.240.0.0/12237.240.0.1 to 237.255.255.254237.255.255.2551,048,574
225238.0.0.0/12238.0.0.1 to 238.15.255.254238.15.255.2551,048,574
226238.16.0.0/12238.16.0.1 to 238.31.255.254238.31.255.2551,048,574
227238.32.0.0/12238.32.0.1 to 238.47.255.254238.47.255.2551,048,574
228238.48.0.0/12238.48.0.1 to 238.63.255.254238.63.255.2551,048,574
229238.64.0.0/12238.64.0.1 to 238.79.255.254238.79.255.2551,048,574
230238.80.0.0/12238.80.0.1 to 238.95.255.254238.95.255.2551,048,574
231238.96.0.0/12238.96.0.1 to 238.111.255.254238.111.255.2551,048,574
232238.112.0.0/12238.112.0.1 to 238.127.255.254238.127.255.2551,048,574
233238.128.0.0/12238.128.0.1 to 238.143.255.254238.143.255.2551,048,574
234238.144.0.0/12238.144.0.1 to 238.159.255.254238.159.255.2551,048,574
235238.160.0.0/12238.160.0.1 to 238.175.255.254238.175.255.2551,048,574
236238.176.0.0/12238.176.0.1 to 238.191.255.254238.191.255.2551,048,574
237238.192.0.0/12238.192.0.1 to 238.207.255.254238.207.255.2551,048,574
238238.208.0.0/12238.208.0.1 to 238.223.255.254238.223.255.2551,048,574
239238.224.0.0/12238.224.0.1 to 238.239.255.254238.239.255.2551,048,574
240238.240.0.0/12238.240.0.1 to 238.255.255.254238.255.255.2551,048,574
241239.0.0.0/12239.0.0.1 to 239.15.255.254239.15.255.2551,048,574
242239.16.0.0/12239.16.0.1 to 239.31.255.254239.31.255.2551,048,574
243239.32.0.0/12239.32.0.1 to 239.47.255.254239.47.255.2551,048,574
244239.48.0.0/12239.48.0.1 to 239.63.255.254239.63.255.2551,048,574
245239.64.0.0/12239.64.0.1 to 239.79.255.254239.79.255.2551,048,574
246239.80.0.0/12239.80.0.1 to 239.95.255.254239.95.255.2551,048,574
247239.96.0.0/12239.96.0.1 to 239.111.255.254239.111.255.2551,048,574
248239.112.0.0/12239.112.0.1 to 239.127.255.254239.127.255.2551,048,574
249239.128.0.0/12239.128.0.1 to 239.143.255.254239.143.255.2551,048,574
250239.144.0.0/12239.144.0.1 to 239.159.255.254239.159.255.2551,048,574
251239.160.0.0/12239.160.0.1 to 239.175.255.254239.175.255.2551,048,574
252239.176.0.0/12239.176.0.1 to 239.191.255.254239.191.255.2551,048,574
253239.192.0.0/12239.192.0.1 to 239.207.255.254239.207.255.2551,048,574
254239.208.0.0/12239.208.0.1 to 239.223.255.254239.223.255.2551,048,574
255239.224.0.0/12239.224.0.1 to 239.239.255.254239.239.255.2551,048,574
256239.240.0.0/12239.240.0.1 to 239.255.255.254239.255.255.2551,048,574

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses